<?php
/**
 * @package     All in One Accessibility
 * @author      Skynet Technologies USA LLC.
 * @copyright   (C) 2022 - Skynet Technologies USA LLC.
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 **/

defined('_JEXEC') or die;

$allinone_userid = array();
$allinone_userid['userid'] = $params->get('userid');
$allinone_userid['colorcode'] = $params->get('colorcode');
$allinone_userid['position'] = $params->get('position');

$url = "https://www.skynettechnologies.com/add-ons/license-api.php?";

if (!isset($allinone_userid["userid"])) {
  $allinone_userid["userid"] = "";
}

$postdata['token'] = $allinone_userid["userid"];
$postdata['SERVER_NAME'] = $_SERVER['SERVER_NAME'];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_POSTFIELDS, $postdata);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
$resp = curl_exec($curl);
$resp = json_decode($resp);

if (!isset($allinone_userid["colorcode"])) {
  $allinone_userid["colorcode"] = "";
}
$baseURL = "https://www.skynettechnologies.com/accessibility/js/" . (!empty($resp->accessibilityloader) ? $resp->accessibilityloader : "accessibility-free-version-loader.js");
$document = JFactory::getDocument();
$document->addCustomTag("<script id='adajs' src='".$baseURL ."?colorcode=".$allinone_userid["colorcode"]. "&token=". $postdata["token"]. "&position=" . $allinone_userid['position'] . "' defer> </script>");
